start-stop-daemon(8)

NAMN
start-stop-daemon - startar och stoppar bakgrundsprocesser

SYNOPS
start-stop-daemon -S|--start flaggor [--] parametrar

start-stop-daemon -K|--stop flaggor

start-stop-daemon -H|--help

start-stop-daemon -V|--version

BESKRIVNING
start-stop-daemon används för att kontrollera hur processer på systemnivå skapas och avslutas. Med hjälp av flaggorna --exec, --pidfile, --user och --name kan start-stop-daemon ställas in att hitta existerande instanser av en körande process. Med --start letar start-stop-daemon efter om en angiven process existerar, och om så är fallet gör start-stop-daemon ingenting och avslutar med status 1 (0 om --oknodo anges). Om en sådan process inte existerar startas en instans, antingen med programfilen som anges med --exec, (eller, om den anges, med --startas). Eventuella parametrar som ges efter -- på kommandoraden skickas omodiferade till programmet som startas. Med --stop testar start-stop-daemon också om den angivna processen existerar, och om så är fallet sänder start-stop-daemon den signal som anges av --signal till den, och avslutar med status 0. Om en sådan process inte existerar avslutar start-stop-daemon med status 1 (0 om --oknodo anges). Om --retry anges kommer start-stop-daemon kontrollera att processen har avslutats. Note: unless --pidfile is specified, start-stop-daemon behaves similar to killall(1). start-stop-daemon will scan the process table looking for any processes which match the process name, uid, and/or gid (if specified). Any matching process will prevent --start from starting the daemon. All matching processes will be sent the KILL signal if --stop is specified. For daemons which have long-lived children which need to live through a --stop you must specify a pidfile.

FLAGGOR

-x|--exec programfil
    Sök efter processer som är instanser av denna programfil (enligt /proc/pid/exe).

-p|--pidfile pidfil
    Sök efter processer vars process-id anges i pidfil.

-u|--user användarnamn|användar-id
    Sök efter processer som ägs av den användare som anges med användarnamn eller användar-id.

-g|--group grupp|grupp-id
    Byt till grupp eller grupp-id när processen startas.

-n|--name processnamn
    Sök efter processer med namnet processnamn (enligt /proc/pid/stat).

-s|--signal signal
    Tillsammans med --stop anger detta den signal som skall sändas till processen som stoppas (förval är 15).

-R|--retry tidsgräns|schema
    Tillsammans med --stop anger detta att start-stop-daemon skall kontrollera att processen avslutas. Den testar flera gånger efter matchande processer som körs, tills ingen längre finns kvar. Om processerna inte avslutar kommer programmet utföra ytterligare kommandon enligt schemat. Om tidsgräns anges istället för schema kommer schemat signal/timeout/KILL/timeout att användas, där signal är den signal som anges med --signal. schema är den lista med åtminstone två poster avdelade med snedstreck (/); varje post är antingen -signalnummer eller [-]signalnamn, vilket betyder att signalen skall sändas, eller timeout, vilket anger det antal sekunder programmet skall vänta på att processen avslutar, eller forever, vilket betyder att resten av schemat skall repetera för evigt om så behövs. Om slutet på schemat nås och forever inte anges kommer start-stop-daemon avslutas med felkod 2. Om ett schema anges kommer eventuell signal angiven med --signal att ignoreras.

-a|--startas sökväg
    Tillsammans med --start anger detta att processen som anges med sökväg skall startas. Om den inte anges används parametern som gavs till --exec.

-t|--test
    Skriver ut vad som skulle ha utförts och sätter returvärdet, men utför ingenting.

-o|--oknodo
    Returnerar felstatus 0 i stället för 1 om ingen åtgärd utförs/skulle utförts.

-q|--quiet
    Skriv inte informationsmeddelanden; visa endast felmeddelanden.

-c|--chuid användarnamn|användar-id
    Byt till detta användarnamn/användar-id innan processen startas. Du kan även ange en grupp genom att lägga till ett kolontecken, :, följt av gruppnamnet eller grupp-id på samma sätt som du skull gjort till "chown"-kommandot (användare:grupp). När du använder detta alternativ måste du ha i åtanke att även både primär och tilläggs-grupp sätts, även om --group-flaggan inte anges. --group-flaggan är bara till för grupper som användaren normalt inte är en medlem i (t.ex för att lägga till gruppmedlemskap för enskilda processer för standardanvändare såsom "nobody").

-r|--chroot rot
    Byt katalog och rot till rot innan processen startas. Observera att även pidfilen skrivs efter chroot har utförts.

-d|--chdir sökväg
    Byt katalog till sökväg innan processen startas. Detta görs efter byte av rot om -r|--chroot-flaggan anges. Om flaggan inte anges kommer start-stop-daemon byta till rotkatalogen innan processen startas.

-b|--background
    Typically used with programs that don't detach on their own. This option will force start-stop-daemon to fork before starting the process, and force it into the background. WARNING: start-stop-daemon cannot check the exit status if the process fails to execute for any reason. This is a last resort, and is only meant for programs that either make no sense forking on their own, or where it's not feasible to add the code for them to do this themself.

-N|--nicelevel heltal
    Detta ändrar prioriteten på processen innan den startas.

-k|--umask mask
    This sets the umask of the process before starting it.

-m|--make-pidfile
    Used when starting a program that does not create its own pid file. This option will make start-stop-daemon create the file referenced with --pidfile and place the pid into it just before executing the process. Note, the file will not be removed when stopping the program. NOTE: This feature may not work in all cases. Most notably when the program being executed forks from its main process. Because of this it is usually only useful when combined with the --background option.

-v|--verbose
    Skriv ut pratsamma informationsmeddelanden.

-H|--help
    Skriv ut hjälpinformation och avsluta sedan.

-V|--version
    Skriv ut versionsinformation och avsluta sedan.

FÖRFATTARE
Marek Michalkiewicz <marekm@i17linuxb.ists.pwr.wroc.pl>, baserat på en tidigare version av Ian Jackson <ian@chiark.greenend.org.uk>. Manualsida av Klee Dienes <klee@mit.edu>, delvis omformaterad av Ian Jackson, översatt av Peter Karlsson <peterk@debian.org>.